Jump to content


Photo

Colours of Infinity - all mods have been updated


28 replies to this topic

#1 Lava Del'Vortel

Lava Del'Vortel

    Fiction Enforcer

  • Modder
  • 1746 posts

Posted 18 May 2017 - 02:21 AM

Hi! You may be happy to know, that all Colours of Infinity mods got updated It took me a while and it wouldn't be possible without agb1 and his help. Note that all these mods may be still updated after a while if some more improvements are made by me, agb1 or K4thos, who is always quite a support for me. In this topic you may read about all the changes.

 

Tales of the Deep Gardens

  • Tales of the Deep Gardens is now designed to work on all WeiDU platforms (PC, OSX, Linux, etc.)
  • Added Enhanced Edition Trilogy compatibility code from K4thos (EET worldmap icon position adjustment)
  • Removed usability text from EE item descriptions (EE generates usability text)
  • Removed Bioware NPC reactions component - these interjections are now installed as part of the main component
  • Removed worldmap component - Tales of the Deep Gardens will always appear now on the regular worldmap and BP-BGT-Worldmap (when chapter > 1 and party has a "Map to Tales of the Deep Gardens" item)
  • Text screen background for initial visit to Tales of the Deep Gardens scaled up to 1024x768 for Enhanced Edition installations
  • Added Enhanced Edition formatted versions of area graphics files to improve quality and remove horizontal lines
  • Repaired DGI005.ITM effects

 

Innershade

  • Innershade is now designed to work on all WeiDU platforms (PC, OSX, Linux, etc.)
  • Golden Dragon Scale Armor now disables thief/wizard abilities as intended and usability now matches description
  • Added Enhanced Edition Trilogy compatibility code from K4thos (support continuous journal and EET worldmap)
  • Removed usability text from EE item descriptions (EE generates usability text)
  • Removed alternate creature animations component - some BG2EE-exclusive animations will be used automatically
  • Removed Bioware NPC reactions component - these interjections are now installed as part of the main component
  • Removed worldmap components - Innershade will always appear now on the regular worldmap and BP-BGT-Worldmap (when chapter > 1 and party has a "Map to Innershade" item)
  • Text screen background for initial visit to Innershade scaled up to 1024x768 for Enhanced Edition installations
  • Added Enhanced Edition formatted versions of area graphics files to improve quality and remove horizontal lines
  • Fixed infinite loop in coin child quest-completion script in ARISH1.baf

 

The White Queen

  • EET compatibility (continuous journal chapter numbering)
  • Cross-platform support: use HANDLE_AUDIO for ogg to wav conversion
  • Use EE-format TIS v2 and PVRZ area graphics (fix horizontal lines glitch)
  • Textscreen for EE
  • Updated Italian translation by ilot

 

I Shall Never Forget

  • EET compatibility (continuous journal chapter numbering)
  • Cross-platform support: use HANDLE_AUDIO for ogg to wav conversion
  • Removed usability text from EE item descriptions (EE generates usability text)
  • Use EE-format TIS v2 and PVRZ area graphics (fix horizontal lines glitch)
  • Updated Polish translation by aristo
  • Added Deutsch translation by Dachrisma
  • Added Italian translation by ilot
  • Fixed trigger condition for Ganimedes' appearance in the Docks
  • Fixed loop in Stranger's dialogue
  • Fixed loop in Selene's dialogue
  • Added FadeFromColor and FadeToColor in certain dialogues
  • Changed animation of the enemy in the final fight
  • Lowered The Incomplete audio volume

 

Yvette NPC

  • EET compatibility by K4thos (continuous chapters, ToB transition)
  • Cross-platform support: use HANDLE_AUDIO for ogg to wav conversion
  • Multi-language support: use HANDLE_CHARSETS for non-English installations
  • Added EE-format TIS v2 and PVRZ area graphics (fix horizontal lines glitch)
  • Removed un-assignable extra proficiency point to avoid level-up glitch

 

Foundling: Between the Shades

  • Added new text screen transition with voiceover
  • Background audio for new areas moved to ambient
  • v2 TIS + PVRZ area graphics for Enhanced Edition
  • EET compatibility (continuous chapter numbering)
  • WAV audio files converted to ogg (85% smaller)
  • Use HANDLE_AUDIO for cross-platform support
  • Fixed an animation that could cause a crash
  • Fixed Caspenar's Blackscratchers sequence
  • Fixed Blackscratchers effect duration
  • Fixed looping talks

 



#2 -HalfCelestial-

-HalfCelestial-
  • Guest

Posted 18 May 2017 - 08:18 AM

So that's why today I couldn't install without errors those mods in BWS, I suppose (BWS couldn't patch them). Would you happen to know if it's possible to install them in EET, without using the patcher? 

 

This is the warning it gave me:

 

"WARNING: File "Innershade/Setup-Innershade.tp2" contains 'VERSION ~8.0~' (expected no VERSION line)! This is the file targeted for patching in "SETUP-INNERSHADE.TP2.PATCH" in "Big World Fixpack/Innershade". This might mean that the patches for this mod were made for a different version of the mod than the one that you are using, or this might mean that the mod was already patched and then removed from the list in the "BWP_Fixpack.installed" file without restoring the original pre-patched files."

 

I figured patching wouldn't be needed because in the readme it says "EET compatibility." But I'm probably overlooking something.



#3 Creepin

Creepin
  • Coordinator
  • 932 posts

Posted 18 May 2017 - 09:15 AM

"WARNING: File "Innershade/Setup-Innershade.tp2" contains 'VERSION ~8.0~' (expected no VERSION line)! This is the file targeted for patching in "SETUP-INNERSHADE.TP2.PATCH" in "Big World Fixpack/Innershade". This might mean that the patches for this mod were made for a different version of the mod than the one that you are using, or this might mean that the mod was already patched and then removed from the list in the "BWP_Fixpack.installed" file without restoring the original pre-patched files."
BWFixpack tries to fix older versions of mods, so the question you should really be asking is "Did you take into account BWFixpack patches to your mods?" If the answer is yes, feel free to cancel BWFixpack patching Lava's mods.

#4 Lava Del'Vortel

Lava Del'Vortel

    Fiction Enforcer

  • Modder
  • 1746 posts

Posted 18 May 2017 - 11:48 AM

I have no idea how Big World Setup works, but I think you don't need to use BW fixpack, because all bugs that were reported are now fixed. agb1 and K4thos helped me when I were working on these versions. I suppose you may just install the new versions and enjoy them without thinking about old fixes :)



#5 -HalfCelestial-

-HalfCelestial-
  • Guest

Posted 18 May 2017 - 11:58 AM

I have no idea how Big World Setup works, but I think you don't need to use BW fixpack, because all bugs that were reported are now fixed. agb1 and K4thos helped me when I were working on these versions. I suppose you may just install the new versions and enjoy them without thinking about old fixes :)

 

Thanks, I think I'll try it without patching them at all. If that doesn't work I can always download the previous version and patch those, I suppose.



#6 Lava Del'Vortel

Lava Del'Vortel

    Fiction Enforcer

  • Modder
  • 1746 posts

Posted 19 May 2017 - 02:29 AM

It should work just fine :)



#7 --Guest--

--Guest--
  • Guest

Posted 19 May 2017 - 10:18 PM

Heya,

 

first I want to thank you for your hard work, I'm currently testing mods for a multiplayer game with a friend and I've seen you've updated the CoI series currently... :) (Only played Tales of the Deep Gardens back in the days, and thought why not give the other mods a try)

I'm playing through the mods to find bugs, because I don't want to fix things myself during our multiplayer session(I'm not a modder, but I think I understand how some things work to fix little issues)

I started testing the CoI series yesterday and found some bugs, which I think you should know about. :)

 

First of all my weidu.log:

 

// Log of Currently Installed WeiDU Mods
// The top of the file is the 'oldest' mod
// ~TP2_File~ #language_number #component_number // [Subcomponent Name -> ] Component Name [ : Version]
~TOTDG/SETUP-TOTDG.TP2~ #1 #0 // Farben der Unendlichkeit: Die Gaerten der Tiefe: 11.0
~INNERSHADE/SETUP-INNERSHADE.TP2~ #5 #0 // Farben der Unendlichkeit: Innershade: 8.0
~WHITEQUEEN/WHITEQUEEN.TP2~ #1 #0 // Colours of Infinity - Die Weiße Königin: 5.0
~ISNF/ISNF.TP2~ #3 #0 // Farben der Unendlichkeit: Ich Werde Niemals Vergessen: 5.0
~YVETTE/SETUP-YVETTE.TP2~ #0 #0 // Yvette Romance - BG2 Romance Character: 4.0
~FOUNDLING/FOUNDLING.TP2~ #0 #0 // Foundling: Between the Shades: 2.0
 

 

Innershade:

- I may have found a little bug in the ToB portion of the game, I've chosen the "Witch010" in the "Witch008" State (inside 9xWitch.d) and the witch do her magic stuff after the dialogue, but she is neutral, I added Enemy() on line 64 [after SetGlobal("ISHWitchPlot","GLOBAL",10)] in 9xWitch.d to resolve this little problem

 

Foundling:

- I've got some JOURNAL issues during the questline

1. In my questbook there was two entries created "Foundling and the Black Curse" and "Foundling and the Black curse" (the second one has a lowercased c in curse), the problem is found in the BALDUR.TRA

2. @1 and @2 are the same inside the BALDUR.TRA (except the lowercased c in curse), inside the baldur.baf you add @1 first and delete @2 after, but this doesn't work, cause the entries aren't the same

2. @3 and @4 same problem as above

3. @6 may be erased when @7 is added (around line 79 in baldur.baf)

4. @10 was also not erased (and @11 not added), I can't find a solution why... :(

- In the ToB quest there is a stutter bug, after Cespy forged the gloves, because State2 from BOTSMITH.dlg triggers after the forging is complete, I added !Global("L#FouToBQuest","GLOBAL",3) to the trigger, which prevent this bug

 

Yvette:

Like you see (in the weidu.log) I kept her original class (CLERIC_THIEF), maybe the following 3 problems are only related if the optional alternative class is not installed...

- Yvette got over level 22 but she didn't got her symbol, I think the LevelGT (in YxYve.baf) trigger doesn't work if she's a dualclass, changed it to XPGT instead

- after I got the symbol Yvette can't wear it, I don't know why, but I had to remove BIT4 (Swashbuckler) in offset 0x2b (Unused by (2/4)) inside the YxSymb.itm to get it work with Yvette

- I can't level her up beyond level 29 (4725000 XP) because there are two pips left to set, but all pips are already set... (I don't know how kits work, so that's an issue for me to fix in my local installation... :( )

- Yvette didn't got an endscreen picture, I think the problem is the file YvetteG.bmp should be renamed to YvetteL.bmp (haven't tested it)

 

Last thing, I tested on BG2:EE with the latest patches from Beamdog.

 

Thanks for your excellent mods again and I'm sorry for any spelling or grammar mistakes. :)

 



#8 Lava Del'Vortel

Lava Del'Vortel

    Fiction Enforcer

  • Modder
  • 1746 posts

Posted 19 May 2017 - 11:36 PM

Thanks! I'll look into all of that when I've got a moment :)



#9 Lava Del'Vortel

Lava Del'Vortel

    Fiction Enforcer

  • Modder
  • 1746 posts

Posted 20 May 2017 - 12:33 AM

For now I have fixed Foundling a bit. Did not check if journal entries work fine, as that part is not game breaking, but I fixed the problem with the gloves. So, Foundling version 2.1 is up.



#10 --Guest--

--Guest--
  • Guest

Posted 21 May 2017 - 05:53 AM

Thanks for updating Foundling. :)

 

I investigated the last Journal entry (of the SoA Quest) a bit and I think it's not possible to get it done, like it is currently...

In Line 100 in baldur.baf you check for Dead(L#FSha), but there is no creature with this DV. I think it should be L#FOUD, but it will never be set, because if Thaxll'ssillyia is at 1HP he starts the dialogue, which ends in DestroySelf(). After the dialogue with Foundling, the L#FouPlot is set to 30 by the AreaScript, maybe it's better to remove the Dead("L#FSha") and change Global("L#FouPlot","GLOBAL",29) to Global("L#FouPlot","GLOBAL",30), for the proper Journal entry. :)

 

 

Also found another little problem in the Foundling quest, in L#ADV.d (Line 115).

I think  ActionOverride("L#ADV3",EscapeArea()) should be ActionOverride("L#ADV1",EscapeArea()) or Toracz won't leave. (Cause this line is added to L#ADV3.dlg instead of L#ADV1.dlg)



#11 Lava Del'Vortel

Lava Del'Vortel

    Fiction Enforcer

  • Modder
  • 1746 posts

Posted 21 May 2017 - 06:40 AM

I bet those aren't the only problems, but those are not game breaking so I will just check those in future. The ToB quest problem was actually much more serious, because the stutter bug could prevent some players from continuing the game with the NPC :) these... well, can wait a bit :)



#12 James M

James M
  • Member
  • 12 posts

Donator

Posted 21 May 2017 - 06:52 PM

Thanks so much Lava! I have just loaded them via BWS for my first Trilogy (BGT) experience. Looking forward to getting to the 2nd Floor Observatory in BG2! I'll be adding in Southern Edge 0.90 as well. Cheers.



#13 Creepin

Creepin
  • Coordinator
  • 932 posts

Posted 22 May 2017 - 07:48 AM

Hmm, I've never heard of Southern Edge before. Found the thread on beamdog forum, the mod looks cool. Will it work on classic BG or only on EE?

#14 Lava Del'Vortel

Lava Del'Vortel

    Fiction Enforcer

  • Modder
  • 1746 posts

Posted 22 May 2017 - 09:45 AM

I play only EE these days so the chance is really... small. Especially since I'm using some effects that aren't there in original BG2 and animations that is there only on EE.

I'll upload Southern Edge later in EE mods section, but note that it's early beta.



#15 Lava Del'Vortel

Lava Del'Vortel

    Fiction Enforcer

  • Modder
  • 1746 posts

Posted 04 June 2017 - 01:17 PM

Additional small update of ISNF (v5.1) - I fixed some items and slightly balanced the parasite change.



#16 -foscor-

-foscor-
  • Guest

Posted 04 June 2017 - 08:18 PM

Great update. Really love your mods, very good qualities!

Your CoI series are the "must have" for me now!

 

And really want to see you bring the Southern Edge to original BG2.

It would be pity if us vanilla users can't enjoy that lovely district.

 

I know it would be really inconvenience for you to get this job done,

But there is always a way I believe :)



#17 -merzbau-

-merzbau-
  • Guest

Posted 21 June 2017 - 03:30 AM

I have played ISNF and really like its storyline.

 

But I have found some problem about the journal entry.

 

When I ask the waukeen priest about Orion's first quest, the old quest journal wont be erased,

 

and the new quest journal wont be added too.

 

The same thing happend after I talk to the sune priest, no new journal added and no old journal erased.

 

Even through I finished the whole storyline, the original quest journal still be here.

 

By the way, I use vanilla BG2 to play the mod.



#18 Lava Del'Vortel

Lava Del'Vortel

    Fiction Enforcer

  • Modder
  • 1746 posts

Posted 28 June 2017 - 10:00 AM

Thanks for letting me know. Even though that wasn't fixed now, I would like to share some other good news. Innershade, Tales of the Deep Gardens, The White Queen and Foundling just got updated. All mods now include map icons for the ares we visit. What's more, from now on you no longer have to start a new game to visit new areas. Yes, EE save game patching is now included!

K4thos did most of the coding, so thank him for making those projects even nicer. Enjoy, everyone! Have fun with Colours of Infinity!



#19 -merzbau-

-merzbau-
  • Guest

Posted 03 July 2017 - 07:46 AM

Good to hear the update news of your mod, I just try them (TWQ & ToDG for now) but unfortunately none of them can install correctly on vanilla BG2.

A error message just show up, it reads “ERROR: Unix.Unix-error<20, "opendir", "")

Does vanilla BG2 won't be supported by CoI  series? If that's true, it would be a great petty for people like me. Really want to cheak all particular new worldmap icons for sure.



#20 Lava Del'Vortel

Lava Del'Vortel

    Fiction Enforcer

  • Modder
  • 1746 posts

Posted 03 July 2017 - 08:48 AM

Try creating mpsave directory in your main BG2 directory. That may help.





Reply to this topic